//: C05:Gromit.h
// Z knihy "Myslíme v jazyce C++, část 2" od Bruce Eckela a Chucka Allisona.
// (c) 1995-2004 MindView, Inc. Všechna práva vyhrazena.
// Přečtěte si podmínky používání zdrojových kódů umístěné v souboru 
// 'Licence.txt' dodávaném spolu s balíčkem kódu dostupným na www.MindView.net.
// Techno-pes. Má členské funkce 
// s různým počtem parametrů
#include <iostream>

class Gromit {
  int haf;
  int steknutiCelkem;
public:
  Gromit(int haf = 1) : haf(haf + 1), steknutiCelkem(0) {}
  void mluv(int) {
    for(int i = 0; i < haf; i++) {
      std::cout << "haf! ";
      ++steknutiCelkem;
    }
    std::cout << std::endl;
  }
  char jez(float) const {
    std::cout << "mlask!" << std::endl;
    return 'z';
  }
  int spi(char, double) const {
    std::cout << "chrr..." << std::endl;
    return 0;
  }
  void sedni() const {
    std::cout << "sedání..." << std::endl;
  }
}; ///:~
